Bug 189881 - Fix beagle %post and trigger to auto-install extension
Fix beagle %post and trigger to auto-install extension
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
: 186962 208202 (view as bug list)
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-04-25 10:33 EDT by Warren Togami
Modified: 2013-01-09 22:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2006-04-25 10:33:56 EDT
Warren needs to rewrite the %post and trigger in order for beagle to more
cleanly handle automatic installation of the extension into firefox.

The idea here is to unpack the extension into someplace like
/usr/lib/beagle/plugin, and attempt to use a symlink to the directory rather
than unpack those files directly into the firefox directory.

The beagle package must be able to handle arbitrary locations of firefox, and
also clean removal and symlink during upgrades.  Warren has existing code like
this in the flash-plugin package.  The code there can be simplified to be
roughly 33% the size.
Comment 1 Alexander Larsson 2006-08-14 07:56:15 EDT
*** Bug 186962 has been marked as a duplicate of this bug. ***
Comment 2 Jesse Keating 2006-08-17 18:53:34 EDT
Ping Warren.  
Comment 3 Jeremy Katz 2006-09-22 00:01:38 EDT
Anything... ?
Comment 4 Matthias Clasen 2006-09-26 22:30:42 EDT
*** Bug 208202 has been marked as a duplicate of this bug. ***
Comment 5 David Zeuthen 2006-09-26 22:41:40 EDT
Can we at the very least use something like

 if [ -x /usr/bin/firefox ] 

instead of using 'rpm -q' which breaks livecd builds (bug 208202). Thanks.
Comment 6 Warren Togami 2006-09-26 23:22:31 EDT
rpm -q in scriptlets is simply unacceptable.  Gah!  I have to fix this THIS WEEK.
Comment 7 Jesse Keating 2006-10-03 17:16:17 EDT
This week has come and gone.  Please fix this.
Comment 8 Bug Zapper 2008-04-03 13:13:21 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Warren Togami 2008-04-03 13:27:56 EDT
This is less stupid than it was late 2006, but it still needs to be fixed.
Comment 10 Bug Zapper 2008-05-13 22:08:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 18:09:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 13:25:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.